package org.jeecg.ctop.finance;

import com.alibaba.dubbo.config.spring.context.annotation.EnableDubbo;
import org.apache.shiro.spring.boot.autoconfigure.ShiroAnnotationProcessorAutoConfiguration;
import org.apache.shiro.spring.boot.autoconfigure.ShiroAutoConfiguration;
import org.apache.shiro.spring.boot.autoconfigure.ShiroBeanAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.transaction.annotation.EnableTransactionManagement;

/**
 * zian Y
 * 2021/7/26
 **/

@SpringBootApplication(exclude = {ShiroAnnotationProcessorAutoConfiguration.class, ShiroAutoConfiguration.class, ShiroBeanAutoConfiguration.class})
@EnableDubbo
@ComponentScan(basePackages = {"org.jeecg", "cn.com.ctop"})
@EnableTransactionManagement
public class JeecgBootFinanceApplication {

    public static void main(String[] args) {
        SpringApplication.run(JeecgBootFinanceApplication.class, args);
    }
}