package org.jeecg.ctop.finance.policy.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.jeecg.ctop.finance.policy.entity.CwjsPolicyProduct;

/**
 * 政策产品关系表
 * @author jeecg-boot
 * 2021-07-28
 * @version V1.0
 */
public interface CwjsPolicyProductMapper extends BaseMapper<CwjsPolicyProduct> {
    List<CwjsPolicyProduct> queryProductsByPolicyId(Integer policyId);

    void deleteProductsByPolicyId(Integer policyId);
}
