package org.jeecg.ctop.finance.policy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.ctop.finance.policy.entity.CwjsCompanyApprovalUser;

/**
 * 政策审核人员配置
 * @author jeecg-boot
 * 2021-08-09
 * @version V1.0
 */
public interface ICwjsCompanyApprovalUserService extends IService<CwjsCompanyApprovalUser> {


    /**
     * 根据主体查询 最后一个审核人员
     * @param companySubjectId
     * @return
     */
    CwjsCompanyApprovalUser getEndApprovalUserBySub(Integer companySubjectId);


}
