package org.jeecg.ctop.finance.policy.service.impl;

import org.jeecg.ctop.finance.policy.entity.CwjsPolicyApprovalLog;
import org.jeecg.ctop.finance.policy.mapper.CwjsPolicyApprovalLogMapper;
import org.jeecg.ctop.finance.policy.service.ICwjsPolicyApprovalLogService;
import org.springframework.stereotype.Service;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import javax.annotation.Resource;

/**
 * 政策审批记录日志
 * @author jeecg-boot
 * 2021-07-28
 * @version V1.0
 */
@Service
public class CwjsPolicyApprovalLogServiceImpl extends ServiceImpl<CwjsPolicyApprovalLogMapper, CwjsPolicyApprovalLog> implements ICwjsPolicyApprovalLogService {
    @Resource
    CwjsPolicyApprovalLogMapper policyApprovalLogMapper;

    @Override
    public CwjsPolicyApprovalLog getOneByPolicyId(Integer policyId,Integer status){
        return policyApprovalLogMapper.getOneByPolicyId(policyId,status);
    }

}
