package org.jeecg.ctop.finance.settlement.controller;

import cn.com.ctop.common.module.service.ISysUserService;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.common.api.vo.Result;
import org.jeecg.common.system.entity.SysUser;
import org.jeecg.common.util.DateUtils;
import org.jeecg.ctop.finance.settlement.entity.vo.SettlementFileParamsVo;
import org.jeecg.ctop.finance.settlement.service.IReportSettlementService;
import org.jeecg.ctop.finance.settlement.service.ISettlementInfoService;
import org.jeecg.ctop.finance.settlement.service.serviceImpl.ReportSettlementServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.util.Date;


/**
 * 政策信息 导入
 * Administrator
 * 2021/7/28
 **/

@Slf4j
@RestController
@RequestMapping("/importPolicyController")
public class ImportPolicyController {

    @Autowired
    private ReportSettlementServiceImpl reportSettlementService;
    @Autowired
    private ISysUserService userService;

    @ApiOperation(value = "财务结算-导入政策数据", notes = "财务结算-导入政策数据")
    @PostMapping(value = "/importPolicyInit")
    public Result importPolicyInit(@RequestParam("file") MultipartFile files) throws Exception{

        return reportSettlementService.importPolicyInit(files);
    }






}