package org.jeecg.ctop.finance.settlement.entity.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.Set;

/**
 * 财务结算 结算单信息
 * zian Y
 * 2021/7/28
 **/

@Data
public class SettlementFileParamsVo implements Serializable {



    /**
     * 广告主公司id
     */
    //@Dict(dicCode = "id", dictTable = "ctop_advertiser", dicText = "name")
    private String advertiserId;
    private String advertiserName;
    private String userId;

    /**
     * 产品id
     */
    private String productId;
    private String productName;

    /**
     * 项目id
     */
    private String projectId;
    private String projectName;


    /**
     * 账户id
     */
    private String accountId;
    private String accountName;


    /**
     * 年-月
     */
    private String uploadYears;

    /**
     * 媒体类型 1-头条 2-快手 3-头条内广 4-快手内广
     */
    private Integer mediaId;


    /**
     * 创建人id
     */
    private String createUserId;
    private String createUserName;


    /**
     * 其他人员
     */
    private String otherUserIds;



    private String startTime;
    private String endTime;



    private Set<String> operatorUserIds;
    private Set<String> saleUserIds;

    private Integer pageNo;
    private Integer pageSize;



}