package org.jeecg.ctop.finance.settlement.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * @description: 头条 结算单
 * @return:
 * @author: zianY
 */
@Data
public class SettlementReportBytedanceVo implements Serializable {

    //type 1 是文本， 2 是图片，3 是函数,10 是数字
    @Excel(name = "广告主ID")
    private String advertiserId;

    @Excel(name = "日期")
    private String date;

    @Excel(name = "日终结余(单位元)")
    private String balance;

    @Excel(name = "现金支出(单位元)")
    private String cashCost;

    @Excel(name = "总支出(单位元)")
    private String cost;

    @Excel(name = "冻结(单位元)")
    private String frozen;

    @Excel(name = "总存入(单位元)")
    private String income;

    @Excel(name = "赠款支出(单位元)")
    private String rewardCost;

    @Excel(name = "共享钱包支出(单位元)")
    private String sharedWalletCost;

    @Excel(name = "总转入(单位元)")
    private String transferIn;

    @Excel(name = "总转出(单位元)")
    private String transferOut;


    private String accountName;
    private String agentId;
    private String agentName;
    private String active;




}