package org.jeecg.ctop.material.controller;

import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.jeecg.ctop.material.service.IKuaishouPromoterService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 *
 */
@Slf4j
@RestController
@RequestMapping("/kuaiShou/promoter")
public class KuaiShouPromoterController {

    @Autowired
    IKuaishouPromoterService promoterService;

    /**
     * 查询达人详细数据
     */
    @GetMapping("/getPromoterInfo")
    public JSONObject getPromoterInfo(Long promoterId) {
        return promoterService.getPromoterInfo(promoterId);
    }

    /**
     * 查询达人详细数据
     */
    @GetMapping("/getPromoterVideoInfo")
    public JSONObject getPromoterVideoInfo(Long promoterId) {
        return promoterService.getPromoterVideoInfo(promoterId);
    }

}
