package cn.com.ctop.finance.payment.mapper;

import cn.com.ctop.finance.payment.entity.FinancePaymentRechargeApplication;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 充值申请表
 *
 * @author jeecg-boot
 * 2023-04-11
 * @version V1.0
 */
public interface FinancePaymentRechargeApplicationMapper extends BaseMapper<FinancePaymentRechargeApplication> {

    List<JSONObject> queryAuditProcess(@Param("id") Long id);

    List<JSONObject> queryPageList(FinancePaymentRechargeApplication recharge);

    List<JSONObject> queryAccountList(FinancePaymentRechargeApplication recharge);
}
