package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouUnitLevelOperationRecord;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

/**
 * 组创建记录
 * @author: jeecg-boot
 * @date:   2021-04-12
 * @cersion: V1.0
 */
public interface AiKuaishouUnitLevelOperationRecordMapper extends BaseMapper<AiKuaishouUnitLevelOperationRecord> {
    List<AiKuaishouUnitLevelOperationRecord> selectAllByAccountId(Date startDate, Date endDate);
    List<Long> selectAllAccountIds(Date startDate, Date endDate);
    List<AiKuaishouUnitLevelOperationRecord> selectAllByAccountIdAndDate(@Param("accountId") Long accountId, @Param("startDate") Date startDate,@Param("endDate") Date endDate);
}
