package cn.com.ctop.kuaishou.modules.batch.mapper;

import cn.com.ctop.kuaishou.modules.batch.entity.KuaiShouAppList;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 快手-应用列表
 * @Author: jeecg-boot
 * @Date: 2019-07-26
 * @Version: V1.0
 */
public interface KuaiShouAppListMapper extends BaseMapper<KuaiShouAppList> {

    void replaceBatch(@Param("addList") List<KuaiShouAppList> addList);

    List<KuaiShouAppList> getAppNames(@Param("appIds") JSONArray appIds);

    KuaiShouAppList getAppListByAppId(@Param("appId") Long appId);
}
