package cn.com.ctop.kuaishou.modules.label.entity;


import lombok.Data;
import org.jeecg.common.aspect.annotation.Document;
import org.jeecg.common.aspect.annotation.EsId;
import org.jeecg.common.aspect.annotation.FieId;
import org.jeecg.common.constant.AnalyzerType;
import org.jeecg.common.constant.FieldType;

@Data
@Document(index = "material_label", type = "material")
public class MaterialLabelInfo {
    @FieId(type = FieldType.KEYWORD)
    private String id;

    @EsId
    @FieId(type = FieldType.KEYWORD)
    private String code;

    @FieId(type = FieldType.KEYWORD)
    private String slogansCount;

    @FieId(type = FieldType.KEYWORD)
    private String offlineFlag;

    @FieId(type = FieldType.KEYWORD)
    private String confirmTime;

    @FieId(type = FieldType.KEYWORD, analyzer = AnalyzerType.IK_SMART)
    private String tagCode;

    @FieId(type = FieldType.KEYWORD, analyzer = AnalyzerType.IK_SMART)
    private String tagName;

    @FieId(type = FieldType.KEYWORD)
    private String tagId;

    @FieId(type = FieldType.KEYWORD)
    private String clipId;

    @FieId(type = FieldType.KEYWORD)
    private String shotId;

    @FieId(type = FieldType.KEYWORD)
    private String planId;

    @FieId(type = FieldType.KEYWORD)
    private String status;

    @FieId(type = FieldType.KEYWORD)
    private String userId;

    @FieId(type = FieldType.KEYWORD)
    private String materialName;

    @FieId(type = FieldType.KEYWORD)
    private String projectId;

    @FieId(type = FieldType.KEYWORD)
    private String createTime;
}
