package cn.com.ctop.kuaishou.modules.report.service;

import cn.com.ctop.kuaishou.modules.report.entity.KuaishouOperationReport;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.util.List;

/**
 * 运营绩效
 *
 * @author jeecg-boot
 * 2022-09-20
 * @version V1.0
 */
public interface IKuaishouOperationReportService extends IService<KuaishouOperationReport> {

    Result<Object> queryToutiaoMonthlyData(Integer time, String role, String userId, Integer pageNo, Integer pageSize);

    Result<Object> queryToutiaoQuarterlyCharge(Integer time, String role, String userId, Integer pageNo, Integer pageSize) throws Exception;


    /*---------------------------------------------------------------------------------*/

    Result<Object> queryKuaishouMonthlyData(Integer time, String role, String userId, Integer pageNo, Integer pageSize);

    Result<Object> queryKuaishouQuarterlyCharge(Integer time, String role, String userId, Integer pageNo, Integer pageSize) throws Exception;

    List<Integer> getMonthInt(Integer time);
}
