package cn.com.ctop.kuaishou.modules.v3.mapper;

import java.util.List;

import cn.com.ctop.kuaishou.modules.v3.entity.V3KuaishouAccountAutoTarget;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 自动投放-v3-本地定向表
 *
 * @author jeecg-boot
 * 2022-10-31
 * @version V1.0
 */
public interface V3KuaishouAccountAutoTargetMapper extends BaseMapper<V3KuaishouAccountAutoTarget> {

    List<V3KuaishouAccountAutoTarget> queryPageList(@Param("accountId") Long accountId, @Param("targetName") String targetName, @Param("platform") Integer platform);

    List<V3KuaishouAccountAutoTarget> getAutoTargetByIds(@Param("ids")List<String> list);
}
