package cn.com.ctop.reimburse.mondule.service.impl;

import cn.com.ctop.reimburse.mondule.entity.ReimburseProject;
import cn.com.ctop.reimburse.mondule.mapper.ReimburseProjectMapper;
import cn.com.ctop.reimburse.mondule.service.IReimburseProjectService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 报销申请项目表
 *
 * @author jeecg-boot
 * 2022-11-21
 * @version V1.0
 */
@Service
public class ReimburseProjectServiceImpl extends ServiceImpl<ReimburseProjectMapper, ReimburseProject> implements IReimburseProjectService {

    @Override
    public List<ReimburseProject> getByIds(List<String> ids) {
        if (ids.isEmpty()) {
            return null;
        }
        return baseMapper.getByIds(ids);
    }
}
