package cn.com.ctop.toutiao.modules.material.mapper;

import cn.com.ctop.toutiao.modules.material.entity.ByteDanceVideoInfo;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 今日头条视频素材信息
 * @Author: jeecg-boot
 * @Date: 2019-07-29
 * @Version: V1.0
 */
public interface ByteDanceVideoInfoMapper extends BaseMapper<ByteDanceVideoInfo> {

    void replaceBatch(@Param(value = "videoList") List<ByteDanceVideoInfo> videoInfoList);

    void replaceBatchIllegalBytedanceMaterialInfo(@Param(value = "list") List<JSONObject> list);

    void insertIllegalBytedanceSendRecord(@Param(value = "info") JSONObject info);
}
