package cn.com.ctop.toutiao.modules.tool.callback;


import com.fasterxml.jackson.annotation.JsonAlias;
import lombok.AllArgsConstructor;
import lombok.Data;

import java.io.Serializable;

@Data
@AllArgsConstructor
public class BaseResponse implements Serializable {
    @JsonAlias("StatusCode")
    private Integer statusCode;
    @JsonAlias("StatusMessage")
    private String StatusMessage;

    public static BaseResponse ok() {
        return new BaseResponse(0, "ok");
    }
}
