package cn.com.ctop.common.mapper;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.jeecg.common.system.entity.SysDepart;

import java.util.List;

/**
 * <p>
 * 部门 Mapper 接口
 * <p>
 *
 * @Author: Steve
 * @Since： 2019-01-22
 */
public interface SysDepartMapper extends BaseMapper<SysDepart> {

    SysDepart getDepartByParams(@Param(value = "userId") String userId, @Param(value = "orgType")Integer orgType);

    List<String> getAllUserIdsByDepId(@Param("departId") String departId);
}
