package org.jeecg.ctop.finance.policy.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.ctop.finance.policy.entity.CwjsPolicyProduct;

import java.util.List;

/**
 * 政策产品关系表
 * @author jeecg-boot
 * 2021-07-28
 * @version V1.0
 */
public interface ICwjsPolicyProductService extends IService<CwjsPolicyProduct> {

    List<CwjsPolicyProduct> queryProductsByPolicyId(Integer policyId);

    void deleteProductsByPolicyId(Integer policyId);
}
