package org.jeecg.ctop.finance.settlement.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import cn.afterturn.easypoi.excel.annotation.ExcelTarget;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * @description: 快手 利润表
 * @return:
 * @author: zianY
 */
@Data
public class ProfitReportKuaiShouVo implements Serializable {


    @Excel(name = "账户ID",width = 20)
    private String accountId;

    @Excel(name = "快手ID",width = 20)
    private String ksId;

    @Excel(name = "广告主公司名称",width = 30)
    private String advertiserName;

    @Excel(name = "产品名称",width = 25)
    private String productName;

    @Excel(name = "总消耗",width = 10)
    private String cost;

    @Excel(name = "充值花费",width = 10)
    private String cashCost;

    @Excel(name = "返点类型",width = 10)
    private String rebateType;

    @Excel(name = "返点比列",width = 10)
    private String rebateRate;

    @Excel(name = "销售",width = 12)
    private String saleName;

    @Excel(name = "运营",width = 12)
    private String operateName;

    @Excel(name = "运营所属区域",width = 12)
    private String operateArea;

    @Excel(name = "政策起止时间",width = 30)
    private String time;



}