package org.jeecg.ctop.material.entity.vo;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.fastjson.JSONObject;
import lombok.Data;
import org.jeecg.ctop.material.constants.Check;

import java.io.Serializable;
import java.util.List;

/**
 * 盯盘-运营组数据
 * zian Y
 * 2022/2/16
 **/

@Data
public class KuaiShouOperateGroupVo implements Serializable {


    @Excel(name = "运营经理",width = 15)
    private String realname;
    private String userId;

    //运营数量
    @Excel(name = "运营数量",width = 15)
    private Integer operationNum;

    //总花费
    @Excel(name = "总花费",width = 15)
    private Double totalCost;

    //日均消耗 总花费/天数
    @Excel(name = "日均消耗",width = 15)
    private Double averageDayCost;
    //人均消耗
    @Excel(name = "人均消耗",width = 15)
    private Double averagePeopleCost;

    //项目数量
    @Excel(name = "项目数量",width = 15)
    private long projectNum;

    //账户数量
    @Excel(name = "账户数量",width = 15)
    private long accountNum;

    //平均账户消耗 总花费/账户数量
    @Excel(name = "平均账户消耗",width = 15)
    private Double averageAccountCost;

    //花费环比
    @Excel(name = "花费环比",width = 15)
    private String yearOnYearCost;

    //基建数量
    @Excel(name = "基建数量",width = 15)
    private long unitNum;//组

    @Excel(name = "新上项目数",width = 15)
    private Integer newProjectNum;



    public KuaiShouOperateGroupVo() {}
    public KuaiShouOperateGroupVo(String userId,String realname) {
        this.userId = userId;
        this.realname = realname;
    }




}