package cn.com.ctop.finance.payment.mapper;

import cn.com.ctop.finance.payment.entity.FinancePaymentRechargeAccount;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 充值账户表
 *
 * @author jeecg-boot
 * 2023-04-13
 * @version V1.0
 */
public interface FinancePaymentRechargeAccountMapper extends BaseMapper<FinancePaymentRechargeAccount> {

    void delByRechargeId(@Param("rechargeId") Long rechargeId);

    JSONObject queryAmounts(@Param("rechargeId") Long rechargeId);

    List<FinancePaymentRechargeAccount> queryByRechargeId(@Param("rechargeId") Long rechargeId);
}
