package cn.com.ctop.kuaishou.modules.ai.service.impl;

import cn.com.ctop.kuaishou.modules.ai.entity.AiKuaishouAccountAutoStrategy;
import cn.com.ctop.kuaishou.modules.ai.mapper.AiKuaishouAccountAutoStrategyMapper;
import cn.com.ctop.kuaishou.modules.ai.service.IAiKuaishouAccountAutoStrategyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageInfo;
import net.sf.json.JSONObject;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 自动投放重构-账户策略表
 *
 * @author jeecg-boot
 * 2021-10-12
 * @version V1.0
 */
@Service
public class AiKuaishouAccountAutoStrategyServiceImpl extends ServiceImpl<AiKuaishouAccountAutoStrategyMapper, AiKuaishouAccountAutoStrategy> implements IAiKuaishouAccountAutoStrategyService {

    @Autowired AiKuaishouAccountAutoStrategyMapper accountAutoStrategyMapper;

    @Override
    public PageInfo<AiKuaishouAccountAutoStrategy> queryList(AiKuaishouAccountAutoStrategy aiKuaishouAccountAutoStrategy) {
        return new PageInfo<>(accountAutoStrategyMapper.queryList(aiKuaishouAccountAutoStrategy));
    }
}
