package cn.com.ctop.kuaishou.modules.live.mapper;

import cn.com.ctop.kuaishou.modules.live.entity.LiveDataMaterial;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

/**
 * 直播数据——素材报表
 *
 * @author jeecg-boot
 * 2022-03-30
 * @version V1.0
 */
public interface LiveDataMaterialMapper extends BaseMapper<LiveDataMaterial> {

    void replaceBatch(@Param("list") JSONArray array);

    void replaceEntity(@Param("material") JSONObject entityObj);
}
