package cn.com.ctop.kuaishou.modules.live.service;

import cn.com.ctop.kuaishou.modules.live.entity.LiveDataImportRecord;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 直播数据——操作记录表
 * @author jeecg-boot
 * 2022-04-01
 * @version V1.0
 */
public interface ILiveDataImportRecordService extends IService<LiveDataImportRecord> {

    /**
     * @param type 操作类型 1素材、2触达人群、3省份人群、4年龄段人群、5性别人群、6设备价格、7广告,101新增账户，102删除账户，103修改账户
     */
    void addImportRecord(Long accountId, Integer type, String userId);
}
