package cn.com.ctop.kuaishou.modules.v3.mapper;

import cn.com.ctop.kuaishou.modules.v3.entity.V3KuaishouAccountAutoStrategy;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;

/**
 * 自动投放v3-账户策略表
 *
 * @author jeecg-boot
 * 2022-10-24
 * @version V1.0
 */
public interface V3KuaishouAccountAutoStrategyMapper extends BaseMapper<V3KuaishouAccountAutoStrategy> {

    List<V3KuaishouAccountAutoStrategy> queryList(V3KuaishouAccountAutoStrategy strategy);

    void createRecord(JSONObject record);
}
