package cn.com.ctop.kuaishou.modules.v3.service.impl;

import cn.com.ctop.kuaishou.modules.v3.entity.V3KuaishouAccountAutoStrategy;
import cn.com.ctop.kuaishou.modules.v3.mapper.V3KuaishouAccountAutoStrategyMapper;
import cn.com.ctop.kuaishou.modules.v3.service.V3KuaishouAccountAutoStrategyService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Service;

/**
 * 自动投放v3-账户策略表
 *
 * @author jeecg-boot
 * 2022-10-24
 * @version V1.0
 */
@Service
public class V3KuaishouAccountAutoStrategyServiceImpl extends ServiceImpl<V3KuaishouAccountAutoStrategyMapper, V3KuaishouAccountAutoStrategy> implements V3KuaishouAccountAutoStrategyService {

    @Override
    public PageInfo<V3KuaishouAccountAutoStrategy> queryList(V3KuaishouAccountAutoStrategy strategy) {
        return new PageInfo<>(baseMapper.queryList(strategy));
    }
}
