package org.jeecg.modules.ctop.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.github.pagehelper.PageInfo;
import org.jeecg.modules.ctop.entity.MaterialUploadTask;

import java.util.List;

/**
 * 同步素材任务
 *
 * @author jeecg-boot
 * 2021-10-21
 * @version V1.0
 */
public interface IMaterialUploadTaskService extends IService<MaterialUploadTask> {

    JSONObject submitTask(JSONObject json);

    PageInfo<List<JSONObject>> uploadDetail(String signature, Integer pageNo, Integer pageNum);
}
