package cn.com.ctop.common.mapper;

import cn.com.ctop.common.entity.UserAllocation;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description: 用户分配
 * @Author: jeecg-boot
 * @Date: 2019-08-08
 * @Version: V1.0
 */
public interface UserAllocationMapper extends BaseMapper<UserAllocation> {
    IPage<UserAllocation> queryListWithPermission(Page<UserAllocation> page, String sql);

    List<JSONObject> getAccountListByProjectList(@Param(value = "list")List list, @Param(value = "designUserId")String designUserId);
}
