package cn.com.ctop.common.mapper;

import cn.com.ctop.common.entity.UserCompany;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 用户够公司
 *
 * @author: jeecg-boot
 * @date: 2019-11-14
 * @cersion: V1.0
 */
public interface UserCompanyMapper extends BaseMapper<UserCompany> {

    List<String> getUserIdListByCompanyId(@Param("companyId")  String companyId);

    UserCompany queryOne(@Param("userId") String userId);
}
